%define with_gmaven 0

Name:          logback
Version:       0.9.29
Release:       %mkrel 2
Summary:       A Java logging library
Group:         Development/Java
License:       EPL, GPL, LGPL
Url:           http://logback.qos.ch/
Source0:       http://logback.qos.ch/dist/logback-0.9.29.tar.gz
# groovy 1.8 break build ...gmaven generated sources
Source1:       logback-0.9.29-classic-generated-sources.tar.gz
Patch0:        logback-0.9.29-clean_poms.patch
%if %with_gmaven
# revert patch0 ... add only the NEW gmaven-plugin
Patch1:        logback-0.9.29-classic-gmaven-plugin.patch
%endif
# TODO 
# fest-assert 1.2 
# logback-access deps jetty jetty-server 7.0.1.v20091125 servlet-api-2.5 
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: dom4j
BuildRequires: easymock2
BuildRequires: geronimo-jms
BuildRequires: groovy
BuildRequires: h2
BuildRequires: hsqldb
BuildRequires: jetty
BuildRequires: janino
BuildRequires: javamail
BuildRequires: junit4
BuildRequires: mysql-connector-java
#BuildRequires: postgresql-jdbc
BuildRequires: scala
BuildRequires: slf4j
BuildRequires: tomcat6-lib
BuildRequires: tomcat6-servlet-2.5-api
BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-plugin-bundle
BuildRequires: maven-compiler-plugin
#BuildRequires: maven-eclipse-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-license-plugin
BuildRequires: maven-plugin-build-helper
BuildRequires: maven-plugin-jxr
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-scala-plugin
BuildRequires: maven-site-plugin
BuildRequires: maven-source-plugin
BuildRequires: maven-surefire-plugin
%if %with_gmaven
BuildRequires: gmaven
%endif
BuildRequires: apache-commons-exec
BuildRequires: jackson
BuildRequires: snakeyaml
BuildRequires: felix-main

Requires:      dom4j
Requires:      easymock2
Requires:      geronimo-jms
Requires:      hsqldb
Requires:      janino
Requires:      javamail
Requires:      jetty
Requires:      slf4j
Requires:      tomcat6
Requires:      tomcat6-servlet-2.5-api

Requires:      jpackage-utils
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
BuildArch:     noarch

%description
Logback is intended as a successor to the popular log4j project. At present
time, logback is divided into three modules, logback-core, logback-classic
and logback-access.

The logback-core module lays the groundwork for the other two modules. The
logback-classic module can be assimilated to a significantly improved
version of log4j. Moreover, logback-classic natively implements the SLF4J
API so that you can readily switch back and forth between logback and other
logging frameworks such as log4j or java.util.logging (JUL).

The logback-access module integrates with Servlet containers, such as
Tomcat and Jetty, to provide HTTP-access log functionality. Note that you
could easily build your own module on top of logback-core.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n logback-%{version}

%patch0 -p1
find . -name "*.jar" -delete

%if %with_gmaven
%patch1 -p0
%else
tar xf %{SOURCE1}
%endif

sed -i 's/\r//' LICENSE.txt README.txt docs/*.* docs/*/*.* docs/*/*/*.*
rm -rf docs/apidocs docs/project-reports docs/testapidocs docs/project-reports.html

%build

mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_mavenpomdir}

install -pm 644 pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP-%{name}-parent.pom
%add_maven_depmap JPP-%{name}-parent.pom

for sub in logback-classic logback-core; do
  base=`echo $sub | sed 's/%{name}-//g'`
  install -m 644 $sub/target/$sub-%{version}.jar \
    $RPM_BUILD_ROOT%{_javadir}/%{name}/$base.jar
  install -m 644 $sub/pom.xml $RPM_BUILD_ROOT/%{_mavenpomdir}/JPP.%{name}-$base.pom
  %add_maven_depmap JPP.%{name}-$base.pom %{name}/$base.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}/classic.jar
%{_javadir}/%{name}/core.jar
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc LICENSE.txt README.txt

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Wed Sep 07 2011 dmorgan <dmorgan> 0.9.29-2.mga2
+ Revision: 140739
- Fix Groups
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Fix buildrequires
- Do not enable gmaven support yet
- Do not enable gmaven support yet

  + gil <gil>
    - add new source files
    - rebuilt with gmaven support
    - imported package logback

